kr.co.hanwha.hifive.screen.task

## Class AddTaskPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.task.AddTaskPresenter

All Implemented Interfaces:
  BasePresenter, AddTaskContract.Presenter

    public class AddTaskPresenter
    extends java.lang.Object
    implements AddTaskContract.Presenter

Add Task : Presenter

See Also:
  `Created by sanghoonkwon on 2018. 1. 18..`

### Field Summary

Fields
`private java.lang.String` `mDueTo` 기한
`private TaskDetailData` `mTaskDetailData`
`private AddTaskContract.View` `mView`

### Constructor Summary

Constructors
Constructor and Description
`AddTaskPresenter(AddTaskContract.View view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `detachView()`
`void` `doReRequest(TaskData taskData)` TASK 수정 & 재 요청
`private android.app.Activity` `getActivity()` Support methods
`android.content.Context` `getContext()`
`void` `initData()` 기본 데이터 설정
`void` `initEditData(int task_id, int project_id)` 수정할 TASK 데이터 설정
`boolean` `isMyTask()` 내게 쓰는 TASK 인지 확인
`boolean` `isRequest()` 요청 TASK 인지 확인
`void` `requestSendTask(java.lang.String task_name)` TASK 등록
`void` `showCalendarDialog()` 기한 설정 캘린더 팝업
`void` `updateTask(java.lang.String task_name, boolean isReRequest)` TASK 수정(Update)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mView

    private AddTaskContract.View mView

#### mDueTo

    private java.lang.String mDueTo

기한

#### mTaskDetailData

    private TaskDetailData mTaskDetailData

### Constructor Detail

#### AddTaskPresenter

    public AddTaskPresenter(@NonNull
                            AddTaskContract.View view)

### Method Detail

#### detachView

    public void detachView()

Specified by:
  `detachView` in interface `BasePresenter`

#### getContext

    public android.content.Context getContext()

Specified by:
  `getContext` in interface `BasePresenter`

#### initData

    public void initData()

Description copied from interface: `AddTaskContract.Presenter`
기본 데이터 설정

Specified by:
  `initData` in interface `AddTaskContract.Presenter`

#### initEditData

    public void initEditData(@NonNull
                             int task_id,
                             @NonNull
                             int project_id)

Description copied from interface: `AddTaskContract.Presenter`
수정할 TASK 데이터 설정

Specified by:
  `initEditData` in interface `AddTaskContract.Presenter`
Parameters:
  `task_id` - TASK ID
  `project_id` - PROJECT_ID

#### showCalendarDialog

    public void showCalendarDialog()

Description copied from interface: `AddTaskContract.Presenter`
기한 설정 캘린더 팝업

Specified by:
  `showCalendarDialog` in interface `AddTaskContract.Presenter`

#### isMyTask

    public boolean isMyTask()

Description copied from interface: `AddTaskContract.Presenter`
내게 쓰는 TASK 인지 확인

Specified by:
  `isMyTask` in interface `AddTaskContract.Presenter`

#### isRequest

    public boolean isRequest()

Description copied from interface: `AddTaskContract.Presenter`
요청 TASK 인지 확인

Specified by:
  `isRequest` in interface `AddTaskContract.Presenter`
Returns:
  요청 TASK 확인

#### requestSendTask

    public void requestSendTask(@NonNull
                                java.lang.String task_name)

Description copied from interface: `AddTaskContract.Presenter`
TASK 등록

Specified by:
  `requestSendTask` in interface `AddTaskContract.Presenter`
Parameters:
  `task_name` - TASK 내용

#### updateTask

    public void updateTask(@NonNull
                           java.lang.String task_name,
                           @NonNull
                           boolean isReRequest)

Description copied from interface: `AddTaskContract.Presenter`
TASK 수정(Update)

Specified by:
  `updateTask` in interface `AddTaskContract.Presenter`
Parameters:
  `task_name` - TASK 내용

#### doReRequest

    public void doReRequest(@NonNull
                            TaskData taskData)

Description copied from interface: `AddTaskContract.Presenter`
TASK 수정 & 재 요청

Specified by:
  `doReRequest` in interface `AddTaskContract.Presenter`
Parameters:
  `taskData` - TASK 데이터

#### getActivity

    private android.app.Activity getActivity()

Support methods